package com.hotent.baseInfo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 监审目录列表响应VO
 *
 * @author 超级管理员
 * @since 2025-01-23
 */
@ApiModel(value = "CatalogListVo", description = "监审目录列表响应VO")
public class CatalogListVo {

    @ApiModelProperty(value = "总记录数")
    private Long total;

    @ApiModelProperty(value = "目录列表")
    private List<CatalogTreeVo> list;

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public List<CatalogTreeVo> getList() {
        return list;
    }

    public void setList(List<CatalogTreeVo> list) {
        this.list = list;
    }
}